#
# spec file for package orarun (Version 1.9)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           orarun
License:        GPL v2 or later
Group:          Productivity/Databases/Tools
AutoReqProv:    on
Version:        1.9
Release:        21.28.26
Url:            http://www.novell.com/oracle/
Summary:        An Environment for Running Oracle Products
Source:         orarun.tar.bz2
Source1:        libInternalSymbols.tar.bz2
Requires:       make gcc binutils xorg-x11-libs glibc-locale glibc-devel libaio libaio-devel sysstat
PreReq:         /usr/sbin/groupadd /usr/sbin/useradd %insserv_prereq  %fillup_prereq /bin/mkdir /bin/cat
Obsoletes:      orarun8i orarun9i
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This package creates the user and the groups for Oracle, sets the
Oracle environment variables, sets kernel parameters to values
recommended by Oracle, and provides for automated start and stop of
Oracle components at system start and stop time. It also includes
dependencies for other software packages needed to install and use
Oracle, so that when you select this package the other packages are
included automatically (when you install via YaST2) or that you are at
least reminded to install them (when installing via the rpm command).
This package is not required for running Oracle but it simplifies
things significantly.

You can edit all settings via YaST2.

http://www.novell.com/oracle/



Authors:
--------
    aksingh
    peters

%prep
%setup -b 1

%build
%ifarch %ix86
cd ../libInternalSymbols
make
%endif

%install
install -d -m 755 ${RPM_BUILD_ROOT}{/usr/share/doc/packages,/etc/init.d,/etc/profile.d,/usr/sbin,/var/adm/fillup-templates,/sbin,/usr/bin,/usr/lib}
install -m 744 oracle ${RPM_BUILD_ROOT}/etc/init.d/oracle
install -m 644 oracle.sh ${RPM_BUILD_ROOT}/etc/profile.d/oracle.sh
install -m 644 oracle.csh ${RPM_BUILD_ROOT}/etc/profile.d/oracle.csh
ln -sf ../../etc/init.d/oracle ${RPM_BUILD_ROOT}/usr/sbin/rcoracle
install -m 644 sysconfig.oracle ${RPM_BUILD_ROOT}/var/adm/fillup-templates/sysconfig.oracle
ln -sf ../../bin/sh ${RPM_BUILD_ROOT}/usr/bin/sh
ln -sf ../bin/fuser ${RPM_BUILD_ROOT}/sbin/fuser
ln -sf ../../bin/fuser ${RPM_BUILD_ROOT}/usr/bin/fuser
%ifarch %ix86
cd ../libInternalSymbols
cp -a libInternalSymbols.a libInternalSymbols.so libInternalSymbols.so.1 ${RPM_BUILD_ROOT}/usr/lib
%endif

%pre
if [ ! -d /etc/sysconfig/ ] ; then
	echo "No directory /etc/sysconfig/ - this package is for SuSE Linux 8.0 and higher"
	echo "and for United Linux 1.0 and higher ONLY."
	exit 1
fi
grep -qs ^oinstall: /etc/group || /usr/sbin/groupadd -r oinstall
grep -qs ^dba: /etc/group      || /usr/sbin/groupadd -r dba
grep -qs ^oracle: /etc/passwd  || /usr/sbin/useradd -r -c "Oracle user" -g oinstall -G dba -d /opt/oracle oracle
test -d /opt/oracle            || install -m 755 -o oracle -g oinstall -d /opt/oracle
test -d /var/opt/oracle        || install -m 750 -o oracle -g oinstall -d /var/opt/oracle
exit 0

%post
/sbin/insserv raw >& /dev/null
#/sbin/chkconfig boot.sysctl on >& /dev/null
#
grep -qs oracle /etc/security/limits.conf || \
mv /etc/security/limits.conf /etc/security/limits.conf.save && \
sed -e "s/# End of file/## added by orarun ##\noracle\tsoft\tnproc\t2047\noracle\thard\tnproc\t16384\noracle\tsoft\tnofile\t1024\noracle\thard\tnofile\t65536\n# End of file/" /etc/security/limits.conf.save > /etc/security/limits.conf
#
grep -qs "^session.*required.*pam_limits.so" /etc/pam.d/login || (cp /etc/pam.d/login /etc/pam.d/login.save && echo "session     required       pam_limits.so   # added by orarun" >> /etc/pam.d/login)
#
%{fillup_and_insserv -n oracle -i}
%{insserv_force_if_yast oracle}
test -f /etc/sysconfig/oracle || cp /var/adm/fillup-templates/sysconfig.oracle /etc/sysconfig/oracle
usermod -g oinstall -G dba oracle
exit 0

%postun
%{insserv_cleanup}

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%doc README
%doc GPL_v2
%attr(0644,root,root) %config(noreplace) /etc/profile.d/oracle.sh
%attr(0644,root,root) %config(noreplace) /etc/profile.d/oracle.csh
%attr(0744,root,root) %config /etc/init.d/oracle
/usr/sbin/rcoracle
/usr/bin/sh
/sbin/fuser
/usr/bin/fuser
/var/adm/fillup-templates/sysconfig.oracle
%ifarch %ix86
/usr/lib/libInternalSymbols.*
%endif

%changelog
* Sun Nov 14 2010 aksingh@novell.com
- Novell bnc#653488 - backport of SLES11 SP1 orarun changes
* Sat Mar 15 2008 aksingh@novell.com
- Novell bnc#371341 - Fixed Clusterware status report
* Wed Jan 16 2008 aksingh@novell.com
- Fixed bz#353957 - Added check for 11g
- Fixed readme section of /etc/sysconfig/oracle for bz#341127
- Fixed bz#308851 - Redo to avoid some side-affets.
* Tue Dec 25 2007 aksingh@novell.com
- Fixed bz#299254 - oracle.csh (Merged line #26 and 27 to avoid error)
- Fixed bz#308851 - Changed emagent (from emctl) in /etc/init.d/oracle
- Fixed bz#341127 - Increased RMEM_MAX and RMEM_DEFAULT to 4194304 as per Oracle 11g spec.
* Wed Jul 18 2007 aksingh@novell.com
- Fixed bz#291441 - removed oracle user from disk group.
- Fixed bz#277737 - Added GPL_v2 file.
* Mon Feb 26 2007 aksingh@novell.com
- Fixed bz#249007 - Correct error message If Oracle is not installed.
* Sat Feb  3 2007 aksingh@novell.com
- Fixed RAC status report messages
* Tue Jan 30 2007 aksingh@novell.com
- Added code for RAC, renamed OCFS to OCFS2
* Sun Jan 28 2007 aksingh@novell.com
- Added ORA_CRS_HOME to oracle.[c]sh
* Thu Jan 25 2007 aksingh@novell.com
-Bug #214774 and Cleanup for RAC
* Mon Sep 25 2006 aksingh@novell.com
- Bug#193522 - Fixed carriage returns in oracle script and updated README.
* Thu Feb 23 2006 aksingh@novell.com
- Added gcc to spec file and fixed AGENT startup issue.
* Sat Feb 18 2006 aksingh@novell.com
- Cosmetic status reporting changes to /etc/init.d/oracle
* Fri Feb 17 2006 aksingh@novell.com
- Fixed stop section and added comment to NR_HUGE_PAGES
* Fri Feb 10 2006 aksingh@novell.com
- Removed old raw device entries from spec, cleaned oracle.[c]sh
- Fixed ORACLE_DB_APACHE_USE_SSL entry in init.d/oracle
* Wed Feb  8 2006 aksingh@novell.com
- Added iSQLPLUS support
* Tue Feb  7 2006 aksingh@novell.com
- ADDED AGENT_HOME, START_ORACLE_AS_CONSOLE, START_ORACLE_AS_ALL,
  NR_HUGE_PAGES, and SHM_GROUP. Removed unsed SHM_USE_BIGPAGES.
- Fixed many rcoracle start/stop/status warnings
- Updated spec file for limits.conf/login and /etc/oratab sym link
* Sat Jan 28 2006 aksingh@novell.com
- Removed LD_ASSUME_KERNEL from oracle.[c]sh
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Sat Dec 17 2005 aksingh@novell.com
- Adjusted spec file (remove pdksh)
* Sun Dec 11 2005 aksingh@novell.com
- Cleanup of oracle.[c]sh - Set new ORACLE_SID and ORACLE_HOME
  Removed leftover STAR_ORACLE_DB_CMANAGER from previous change.
* Mon Dec  5 2005 aksingh@novell.com
- Bug 137010 - Added START_ORACLE_DB_EMANAGER (10g feature)
* Mon Dec  5 2005 aksingh@novell.com
- Bumped version to 1.9 for SLES10
* Wed Sep 28 2005 dmueller@suse.de
- add norootforbuild
* Sat Jun  4 2005 aksingh@novell.com
-  Bug 84038: Cleanup and added same to oracle.csh
* Mon May 23 2005 aksingh@oracle.com
- Bug 84038 : Added check for EM64T/AMD64 in oracle.sh
* Sat Apr  2 2005 aksingh@novell.com
- Bug #75689 - Added ORA_NLS10 support in oracle.[c]sh
- Removed LD_ASSUME_KERNEL=2.2.5 from oracle
- Updated README
* Thu Feb  3 2005 aksingh@novell.com
- Changed LD_ASSUME_KERNEL to 2.4.21 in oracle.[c]sh.
* Tue Feb  1 2005 aksingh@novell.com
-  Removed "usermod -G disk oracle" from post install. [Bug #50232]
* Sat Jan 22 2005 aksingh@novell.com
- Bug #45718
- Added export LD_PRELOAD=/usr/lib/libInternalSymbols.so to oracle.sh
- Added setenv LD_PRELOAD /usr/lib/libInternalSymbols.so to oracle.csh
* Wed Oct 13 2004 ro@suse.de
- updated requires
* Fri Jun 25 2004 kukuk@suse.de
- Add libInternalSymbols [Bug #39691]
* Mon May 17 2004 kukuk@suse.de
- Adjust requires for SLES9
* Mon Nov 24 2003 kukuk@suse.de
- Fix useradd/groupadd call (and don't use undocumented options)
* Sat Jul  5 2003 mha@suse.de
- Bugfix: ">&" not possible within ".." in the /etc/init.d/oracle
  script - fixed.
- Removed the two libXm.* links - instead we now provide the old
  openmotif 2.1.30 package for UL at
  ftp://ftp.suse.com/pub/suse/i386/supplementary/commercial/Oracle/sles-8/
  since Oracle iAS (component Forms&Reports) really needs that
  particular version.
- We now start the listener BEFORE the database.
- Changed /etc/profile.d/oracle.[c]sh to be parsed if the user is
  "oracle" ONLY.
- Added code to /etc/profile.d/oracle.csh to be able to source
  /etc/sysconfig/oracle, which is bourne shell syntax. Not used
  yet in this orarun release.
- Added configurable network kernel parameters wmem_default/max
  and rmem_default/max, and preconfigured it for Oracle RAC
  according to Oracle recommendations, for best performance.
- Changed /etc/sysconfig/oracle to be easier to use with the YaST2
  sysconfig editor module by adding meta information used by that
  module. Editing the Oracle related values with that module is
  now *much* easier and all values are under one common path.
- Added to pre-install script a command to add user "oracle" to
  group "disk". That's because this script also re-creates directory
  /dev/raw/ with *all* possible raw devices, and it gives them to
  root:disk, with read/write rights for both user root and group
  disk. This way user oracle has write access to the raw devices
  but is not the owner.
* Thu Apr  3 2003 kukuk@suse.de
- Set LD_ASSUME_KERNEL=2.2.5 if /lib/i686 exists
  This is needed for Oracle to pick the correct glibc version
  when starting - the one in /lib/i686 has been compiled WITHOUT
  floating stack support - Oracle supports many simultaneous
  users less if it starts using the default glibc WITH floating
  stack support (other than that, no issues, only scalability).
  The dual-glibc strategy is introduced in United Linux (SLES-8)
  Service Pack 2.
* Wed Feb 26 2003 mha@suse.de
- Removed from postinstall script code that added limits for
  user oracle to /etc/security/limits.conf since it interferred
  with the ability to login remotely, e.g. via ssh
* Thu Feb 20 2003 mha@suse.de
- Added creation of file /etc/rac_on when oracm is started, an
  Oracle hack used by $ORACLE_HOME/bin/dbca
- added "restart" to /etc/rc.d/oracle
- added a status to "status"
* Sat Feb 15 2003 mha@suse.de
- Fixed error in orarun 1.7: This version did not create
  /etc/sysconfig/oracle
- Added "raw" to start prerequisites of the oracle SysV startup
  script, so that the raw device mappings exist *before*
  any Oracle services start which may use raw devices!
* Wed Feb 12 2003 mha@suse.de
- Fixed lots of errors in the startup and shutdown sections
- Added a very basic status section
* Fri Jan 31 2003 mha@suse.de
- Updated sysV startup script to support RAC (ocfs and oracm)
- Include some symlinks because e.g. Oracle Collab. Suite
  expects some things in the wrong (non-Linux) places
* Thu Dec 19 2002 mha@suse.de
- Provide a much updated oracle sysV startup script
- Changed the specfile to use suse macro for the fillup and insserv
* Wed Dec 18 2002 mha@suse.de
- Checked package into autobuild
